## ros-kinetic-cob-mecanum-controller 0.7.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_mecanum_controller)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED
  COMPONENTS
  cmake_modules
  geometry_msgs
  nav_msgs
  roscpp
  sensor_msgs
)

find_package(Eigen3 REQUIRED)
set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
add_definitions(${EIGEN3_DEFINITIONS})

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS   
   geometry_msgs
   nav_msgs
   roscpp
   sensor_msgs
)

include_directories(
 include
 ${catkin_INCLUDE_DIRS}
 ${EIGEN3_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/${PROJECT_NAME}/mecanum_controller.cpp
)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(${PROJECT_NAME}_node src/mecanum_controller_node.cpp)
add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_node
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME}_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-kinetic-cob-mecanum-controller (0.7.13-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.12-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.11-2xenial) xenial; urgency=high

  * Merge pull request #237 <https://github.com/ipa320/cob_control/issues/237> from fmessmer/kinetic/fix_mecanum
    [kinetic] fix eigen in mecanum controller
  * fix eigen
  * Contributors: Felix Messmer, fmessmer

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.10-2xenial) xenial; urgency=high

  * Merge pull request #229 <https://github.com/ipa320/cob_control/issues/229> from ipa-jba/feature/raw-mini
    [kinetic] add a mecanum controller
  * nitpick
  * un-c++14ify
  * unify version
  * use <> for include
  * catkin lint problems fixed
  * apache license
  * add a mecanum controller
  * Contributors: Felix Messmer, Jannik Abbenseth, fmessmer

 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.9-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.8-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.7-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.6-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.5-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.4-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.3-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.2-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.1-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.7.0-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 18 Jul 2017 08:50:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.15-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 18 Jul 2017 08:30:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.14-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Mon, 10 Oct 2016 10:20:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.13-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Mon, 10 Oct 2016 09:46:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.12-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Mon, 10 Oct 2016 09:45:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.11-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.10-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.9-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.8-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sun, 21 Jun 2015 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.7-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.6-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Thu, 18 Dec 2014 09:49:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.5-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Thu, 18 Dec 2014 08:08:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.4-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 16 Dec 2014 13:10:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.3-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 16 Dec 2014 13:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.2-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.1-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Sun, 21 Sep 2014 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.6.0-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-kinetic-cob-mecanum-controller (0.5.4-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 26 Aug 2014 08:26:00 -0000

ros-kinetic-cob-mecanum-controller (0.1.0-2xenial) xenial; urgency=high



 -- Jannik Abbenseth <jba@ipa.fhg.de>  Tue, 26 Aug 2014 08:23:00 -0000

=== debian/control ===
Source: ros-kinetic-cob-mecanum-controller
Section: misc
Priority: optional
Maintainer: Jannik Abbenseth <jba@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-mecanum-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-cmake-modules, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-sensor-msgs
Description: The cob_mecanum_controller_node provides a lightweight base controller for mecanum drive robots.
 The out/input for the wheel command/state are wheel velocities in rad/s for the wheels [front left, front right, rear left, rear right]

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-mecanum-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
